# Uses of Interface
org.eclipse.emf.compare.ide.ui.logical.IStorageProvider

Packages that use IStorageProvider
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical
org.eclipse.emf.compare.ide.ui.logical

## Uses of IStorageProvider in org.eclipse.emf.compare.ide.ui.internal.logical

Classes in org.eclipse.emf.compare.ide.ui.internal.logical that implement IStorageProvider
Modifier and Type
Class
Description
`class`
`FileRevisionStorageProvider`
Allows access to the underlying IFileRevision's storage.
`class`
`ResourceVariantStorageProvider`
Allows access to the underlying IResourceVariant's storage.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical that return IStorageProvider
Modifier and Type
Method
Description
`IStorageProvider`
RemoteMappingContextStorageAccessor.`getStorageProvider(org.eclipse.core.resources.IResource resource, IStorageProviderAccessor.DiffSide side)`
This will be called by the URI Converter to get the content associated with the given local resource (which might not exist locally).
`IStorageProvider`
SubscriberStorageAccessor.`getStorageProvider(org.eclipse.core.resources.IResource resource, IStorageProviderAccessor.DiffSide side)`
This will be called by the URI Converter to get the content associated with the given local resource (which might not exist locally).

## Uses of IStorageProvider in org.eclipse.emf.compare.ide.ui.logical

Methods in org.eclipse.emf.compare.ide.ui.logical that return IStorageProvider
Modifier and Type
Method
Description
`IStorageProvider`
IStorageProviderAccessor.`getStorageProvider(org.eclipse.core.resources.IResource resource, IStorageProviderAccessor.DiffSide side)`
This will be called by the URI Converter to get the content associated with the given local resource (which might not exist locally).